{% load mptt_tags %}{% load static %}

{% block osvald_modal %}
    <div class="modal fade" id="modal-activity-start" role="dialog" class="modal-dialog">
        <div class="modal-sm">
            <div class="modal-content">
                <h3 class="modal-header"></h3>
                <div class="modal-body">
                    <form role="form" name="activity-start-form" id="activity-start-form" action=""
                          method="post">{% csrf_token %}
                        <div><input type="radio" value="yes" name="single-activity" class="radio-single-activity"
                                    checked><label for="single-activity" class="collection_radio_buttons">&nbsp;Jednotná
                            aktivita</label></div>
                        <div class="form-single-activity">
                            <div class="form-group">
                                <label for="client-id"><span class="glyphicon glyphicon-user"></span> ID klienta:
                                </label>
                                <input type="text" class="form-control" id="client-id"
                                       placeholder="Vložte klientské ID">
                            </div>
                            <div class="form-group">
                                <label for="file-id"><span class="glyphicon glyphicon-list-alt"></span> Číslo smlouvy:
                                </label>
                                <input type="text" class="form-control" id="file-id" placeholder="Vložte číslo smlouvy">
                            </div>
                        </div>
                        <div><input type="radio" value="no" name="single-activity" class="radio-single-activity"><label
                                for="single-activity" class="collection_radio_buttons">&nbsp;Hromadná aktivita</label>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="submit" id="cancel-activity-button" class="btn btn-danger btn-default pull-left"
                            data-dismiss="modal"><span class="glyphicon glyphicon-remove"></span> Zrušit
                    </button>
                    <button type="submit" id="start-activity-button" class="btn btn-success btn-default pull-right"
                            data-dismiss="modal"><span class="glyphicon glyphicon-play"></span> Spustit
                    </button>
                </div>
            </div>

        </div>
    </div>


    <div class="modal fade" id="modal-activity-pause" role="dialog" class="modal-dialog">
        <div class="modal-lg">
            <div class="modal-content">
                <h3 class="modal-header"></h3>
                <div class="modal-body">
                    <form role="form" name="activity-start-form" id="activity-pause-form">
                        <div class="form-group">
                            <label for="client-id"><span class="glyphicon glyphicon-user"></span> ID klienta: </label>
                            <input type="text" class="form-control" id="activity-pause-client-id"
                                   placeholder="Vložte klientské ID" readonly>
                        </div>
                        <div class="form-group">
                            <label for="file-id"><span class="glyphicon glyphicon-list-alt"></span> Číslo smlouvy:
                            </label>
                            <input type="text" class="form-control" id="activity-pause-file-id"
                                   placeholder="Vložte číslo smlouvy" readonly>
                        </div>
                        <div class="form-group">
                            <label for="file-id"><span class="glyphicon glyphicon-note"></span> Komentář: </label>
                            <textarea class="form-control" id="activity-pause-comment" placeholder="Vložte Váš komentář"
                                      rows="10" maxlength="1000" cols="40"></textarea>
                        </div>
                    </form>
                    <div><span class="modal-created"></span>; <span class="modal-updated"></span></div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-danger btn-default pull-left" data-dismiss="modal"><span
                            class="glyphicon glyphicon-remove"></span> Zrušit
                    </button>
                    <button type="submit" id="pause-activity-button" class="btn btn-success btn-default pull-right"
                            data-dismiss="modal"><span class="glyphicon glyphicon-pause"></span> Pozastavit
                    </button>
                </div>
            </div>

        </div>
    </div>

    <div class="modal fade" id="modal-activity-continue" role="dialog" class="modal-dialog">
        <div class="modal-lg">
            <div class="modal-content">
                <h3 class="modal-header"></h3>
                <div class="modal-body">
                    <form role="form" name="activity-start-form" id="activity-pause-form">
                        <div class="form-group">
                            <label for="client-id"><span class="glyphicon glyphicon-user"></span> ID klienta: </label>
                            <input type="text" class="form-control" id="activity-continue-client-id"
                                   placeholder="Vložte klientské ID" readonly>
                        </div>
                        <div class="form-group">
                            <label for="file-id"><span class="glyphicon glyphicon-list-alt"></span> Číslo smlouvy:
                            </label>
                            <input type="text" class="form-control" id="activity-continue-file-id"
                                   placeholder="Vložte číslo smlouvy" readonly>
                        </div>
                        <div class="form-group">
                            <label for="file-id"><span class="glyphicon glyphicon-note"></span> Komentář: </label>
                            <textarea class="form-control" id="activity-continue-comment"
                                      placeholder="Vložte Váš komentář" rows="10" maxlength="1000" cols="40"></textarea>
                        </div>
                    </form>
                    <div><span class="modal-created"></span>; <span class="modal-updated"></span></div>
                </div>
                <div class="modal-footer">
                    <button type="submit" id="continue-cancel-button" class="btn btn-danger btn-default pull-left" data-dismiss="modal"><span
                            class="glyphicon glyphicon-remove"></span> Zrušit
                    </button>
                    <button type="submit" id="continue-activity-button" class="btn btn-success btn-default pull-right"
                            data-dismiss="modal"><span class="glyphicon glyphicon-play"></span> Pokračovat
                    </button>
                </div>
            </div>

        </div>
    </div>

    <div class="modal fade" id="modal-activity-stop" role="dialog" class="modal-dialog">
        <div class="modal-lg">
            <div class="modal-content">
                <h3 class="modal-header"></h3>
                <div class="modal-body">
                    <form role="form" name="activity-stop-form" id="activity-pause-form">
                        <div class="form-group">
                            <label for="client-id"><span class="glyphicon glyphicon-user"></span> ID klienta: </label>
                            <input type="text" class="form-control" id="activity-stop-client-id"
                                   placeholder="Vložte klientské ID" readonly>
                        </div>
                        <div class="form-group">
                            <label for="file-id"><span class="glyphicon glyphicon-list-alt"></span> Číslo smlouvy:
                            </label>
                            <input type="text" class="form-control" id="activity-stop-file-id"
                                   placeholder="Vložte číslo smlouvy" readonly>
                        </div>
                        {% for active_metadata in active %}
                            {% if active_metadata.activity_count == 0 %}

                                <div class="form-group">
                                    <label for="file-id"><span class="glyphicon glyphicon-random"></span> Počet kusů:
                                    </label>
                                    <input type="number" class="form-control" id="activity-stop-count"
                                           placeholder="Vložte počet kusů" required>
                                </div>
                            {% endif %}
                            {% if active_metadata.template.alow_subtype %}
                                <div class="form-group">
                                    <label class="col-xs-3 control-label"> Podtyp: </label>
                                    <div class=" selectContainer">
                                        <select class="form-control subtype-selector" name="subtype">
                                            <option value="">Vyberte podtyp</option>
                                            {% for s in subtype %}
                                                <option value="{{ s.id }}">{{ s.name }}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                            {% endif %}
                            {% if active_metadata.template.modules %}
                                <div class="form-group">
                                    {% for module in active_metadata.template.modules.all %}
                                        <label class="col-xs-3 control-label"> {{ module.name }}: </label>
                                        <div class=" selectContainer">


                                            <select name="{{ module.selector.name }}"
                                                    class="form-control module-selector">
                                                <option value="">---</option>
                                                {% for g in module.selector.values.all %}
                                                    <optgroup label="{{ g.name }}">
                                                        {% for i in g.items.all %}
                                                            <option show_forms="{{ i.show_form }}"
                                                                    value="{{ i.id }}">{{ i.name }}</option>
                                                        {% endfor %}

                                                    </optgroup>
                                                {% endfor %}
                                            </select>
                                        </div>
                                        </div>
                                         <div class="form-group">
                                            <div class="{{ module.selector.name }}-form" style=" display: none; ">


                                                    <table>
                                                        <td>
                                                            <label class="col-xs-6 control-label"> Datum: </label>
                                                        </td><td>
                                                                <input class="form-control" id="collection-date"/>

                                                    </td><td>


                                                            <label class="col-xs-6 control-label"> Částka: </label></td><td>

                                                            <input type="number" class="form-control"
                                                                   id="collection-money"
                                                                   placeholder="Vložte částku"/>


                                                </td>
                                                    </table>
                                                <div>
                                                                                                                                                 <label class="col-xs-6 control-label"> Popisek: </label>

                                                <input type="text" class="form-control" id="collection-description"
                                                       placeholder="Krátký popisek"/>
                                         </div>
                                                </div>











                                    {% endfor %}
                                </div>
                            {% endif %}

                        {% endfor %}
            <div class="form-group">
                <label for="file-id"><span class="glyphicon glyphicon-note"></span> Komentář: </label>
                <textarea class="form-control" id="activity-stop-comment" placeholder="Vložte Váš komentář"
                          rows="7" maxlength="1000" cols="40"></textarea>
            </div>

            </form>
            <div><span class="modal-created"></span>; <span class="modal-updated"></span></div>
        </div>
        <div class="modal-footer">
            <button type="submit" id="stop-cancel-button" class="btn btn-danger btn-default pull-left" data-dismiss="modal"><span
                    class="glyphicon glyphicon-remove"></span> Zrušit
            </button>
            <button type="submit" id="stop-activity-button" class="btn btn-success btn-default pull-right"
                    data-dismiss="modal"><span class="glyphicon glyphicon-stop"></span> Ukončit
            </button>
        </div>
    </div>

    </div>
    </div>

{% endblock osvald_modal %}
